Subject: Re: Default offload settings in Ethernet drivers

From: Jan Ceuleers <[email-masked]>
Date: Thu, 11 Dec 2008 20:30:19 +0100

Stephen Hemminger wrote:
> I don't think there will be any difference. Linux (mainline) doesn't
> do TOE. It does do segmentation offload, and any driver that can
> do segmentation offload enables it by default.

Stephen,

Thanks for your reply. My experience with the r8169 driver is that it 
does support rx checksumming, tx checksumming, scatter/gather and tcp 
segmentation, but out of the above only enables rx checksumming by default.

The other two ethernet drivers I have hardware for don't support any 
hardware-assisted offloads (that is: they all support generic 
segmentation offload but that isn't hardware-assisted and it is also not 
enabled by default).

Best regards, Jan